# Data Acquisition Softwares

## MonkeyLogic

NIMH MonkeyLogic is a MATLAB-based software tool for behavioral control and data acquisition. It allows users to design sensory, motor, or cognitive tasks with a familiar, high-level language and execute them with high temporal accuracy.  Many stimulus types are available for task composition and data can be collected during tasks from various signal sources.  The timing of events can be synchronized with external devices via event code exchanges.

Avaialable output formats - BHV2, HDF5, MAT

Resource links:

- [NIMH MonkeyLogic](https://monkeylogic.nimh.nih.gov/) - Landing page for the ML.
- [Download ML](https://monkeylogic.nimh.nih.gov/download.html) - Download page for ML.
- [ML Documentation](https://monkeylogic.nimh.nih.gov/docs.html) - Official ML documentation page.
- [ML Brown University Documentation](https://www.brown.edu/Research/monkeylogic/index.html) - Documentation of ML hosted by Brown University. This is a much more step-by-step practical resource for using MonkeyLogic.
- [Peer-Reviewed Studies that used MonkeyLogic](https://www.brown.edu/Research/monkeylogic/index.html#pubstud)
- [MonkeyLogic Support Forum](https://monkeylogic.nimh.nih.gov/board/) - For Q&A, news and tips.
- [MonkeyLogic GitHub](https://github.com/ryklin/MonkeyLogic_stable) - GitHub repository with stable branch of MonkeyLogic.
- [Integrating ML with paython-neo](https://github.com/NeuralEnsemble/python-neo/pull/1030) - GitHub issue for adding IO to read MonkeyLogic files. This issue is under development, feel free to add comments or suggestions!